.comment {
  margin: 0;
  line-height: 1.5rem;
  font-family: 'Marianne', arial, sans-serif;
  font-weight: 400;
  background-image: unset;
  max-width: 70%;
  padding: 0.5rem 1rem;
  border-radius: 0;
  display: inline-block;
  word-break: break-word;
  font-size: 14px;
  white-space: pre-line;
  text-align: left;

  @media print {
    max-width: 100%;
  }
}

.comment--left {
  border-top-right-radius: 1rem;
  border-bottom-right-radius: 1rem;
  border-top-left-radius: 0;
  border: 1px solid var(--background-alt-blue-france);

  &.comment-first {
    border-top-left-radius: 1rem;
  }

  &.comment-last {
    border-bottom-left-radius: 1rem;
  }
}

.comment--right {
  border-top-left-radius: 1rem;
  border-bottom-left-radius: 1rem;
  border-top-right-radius: 0;
  background-color: var(--background-alt-blue-france);

  &.comment-first {
    border-top-right-radius: 1rem;
  }

  &.comment-last {
    border-bottom-right-radius: 1rem;
  }
}

.comment-wrapper {
  box-sizing: border-box;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  margin-top: -2px;
  width: calc(100% + 1rem);
  margin-left: -2px;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  -webkit-justify-content: flex-start;
  justify-content: flex-start;
  -webkit-align-items: flex-end;
  -webkit-box-align: flex-end;
  -ms-flex-align: flex-end;
  align-items: flex-end;
}

.comment-wrapper.comment-wrapper--left {
  -webkit-flex-direction: row-reverse;
  -ms-flex-direction: row-reverse;
  flex-direction: row-reverse;
}

.comment-wrapper.comment-wrapper--right {
  box-sizing: border-box;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-top: -2px;
  width: calc(100% + 1rem);
  margin-left: -2px;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  -webkit-justify-content: flex-end;
  justify-content: flex-end;
  -webkit-align-items: flex-end;
  -webkit-box-align: flex-end;
  -ms-flex-align: flex-end;
  align-items: flex-end;
}

.comment-wrapper__comments {
  padding-top: 1rem;
  padding-left: 1rem;
  -webkit-flex-basis: 0;
  -ms-flex-preferred-size: 0;
  flex-basis: 0;
  -webkit-box-flex: 1;
  -webkit-flex-grow: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
  max-width: 100%;
}

.comment-wrapper__user {
  padding-top: 1rem;
  padding-left: 1rem;
  box-sizing: border-box;
  margin: 0;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
}
